<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\Detailsreiter\Termine;

class TermineController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TermineController
{
  private $statusCode;
  private $eintraegeGeloescht;

  public function __construct($statusCode = null, $pEintraegeGeloescht = false)
  {
    $this->statusCode = $statusCode;
    $this->eintraegeGeloescht = $pEintraegeGeloescht;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TermineUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->statusCode = $this->statusCode;
    $requestObj->eintraegeGeloescht = $this->eintraegeGeloescht;

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminePresenter($pUseCaseResponse);
  }
}